# module Shell::Extensions

### Constants

Help
MainContextExtensions
ObjectUIExtensions

  Methods that have associated help text need to be dynamically added to the main irb objects, so we define them in a proc and later instance_eval the proc in the object.

RESTApiExtensions
RecipeUIExtensions

### Public Class Methods

extend_context_node(node_obj) click to toggle source

    # File lib/chef/shell/ext.rb, line 567
    def self.extend_context_node(node_obj)
      node_obj.instance_eval(&ObjectUIExtensions)
    end

extend_context_object(obj) click to toggle source

    # File lib/chef/shell/ext.rb, line 558
    def self.extend_context_object(obj)
      obj.instance_eval(&ObjectUIExtensions)
      obj.instance_eval(&MainContextExtensions)
      obj.instance_eval(&RESTApiExtensions)
      obj.extend(FileUtils)
      obj.extend(Chef::DSL::PlatformIntrospection)
      obj.extend(Chef::DSL::DataQuery)
    end

extend_context_recipe(recipe_obj) click to toggle source

    # File lib/chef/shell/ext.rb, line 571
    def self.extend_context_recipe(recipe_obj)
      recipe_obj.instance_eval(&ObjectUIExtensions)
      recipe_obj.instance_eval(&RecipeUIExtensions)
    end